﻿
Public Class Form1

    ' フォームロード
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Label1.Text = "c:\sample01.wav"
    End Sub

    ' 参照ボタン
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        Dim ofd As New OpenFileDialog()

        '複数のファイルは選択不可にする
        ofd.Multiselect = False

        'ダイアログを表示
        If ofd.ShowDialog() = DialogResult.OK Then

            ' ラベルに表示
            Label1.Text = ofd.FileName

        End If

    End Sub

    ' 再生ボタン
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        ' ファイル存在チェック
        If System.IO.File.Exists(Label1.Text) = False Then
            MessageBox.Show("ファイルが存在しません")
            Exit Sub
        End If

        ' ファイル拡張子チェック
        Dim strSoundFile As String = Label1.Text
        If strSoundFile.Substring(strSoundFile.Length - 4, 4) <> ".wav" Then
            MessageBox.Show("拡張子が.wavじゃないので再生できません。")
            Exit Sub
        End If

        My.Computer.Audio.Play(Label1.Text, AudioPlayMode.Background)
    End Sub

    ' 停止ボタン
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        My.Computer.Audio.Stop()
    End Sub

End Class
